import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MKLocalSearchCompletion extends _NSObject {
    static alloc(): _MKLocalSearchCompletion;
    static new(): _MKLocalSearchCompletion;
    init(): _MKLocalSearchCompletion;
    title(): _NSString;
    /** NSValue-wrapped NSRanges */
    titleHighlightRanges(): _NSArray;
    subtitle(): _NSString;
    /** NSValue-wrapped NSRanges */
    subtitleHighlightRanges(): _NSArray;
}
